Eggplant RQM Adapter(1)

# Eggplant RQM Adapter(1) Manual Page #

## Name ##

Eggplant RQM Adapter - Run the Eggplant RQM Adapter

## Synopsis ##

**Eggplant RQM Adapter** \[**-hV**\] **-adapter**=*<adapterId>* \[**-apppath**=*<applicationPath>*\] \[**-interval**=*<interval>*\] \[**-loglevel**=*<logLevel>*\] \[**-logpath**=*<logPath>*\] \[**-maxruntime**=*<maxRunTime>*\] **-password**=*<password>* \[**-prefix**=*<variablePrefix>*\] **-project**=*<projectArea>* **-url**=*<url>* **-username**=*<username>*

## Description ##

Runs the RQM Adapter and reports Eggplant Studio results to the Jazz Server

## Options ##

**-username**=*<username>*

Username of the jazz server login

**-password**=*<password>*

Password of the jazz server login

**-project**=*<projectArea>*

Project Area to use with this adapter

**-adapter**=*<adapterId>*

Adapter ID to associate with the jazz server

**-logpath**=*<logPath>*

Path to log directory. This must exist. (default: C:\\ProgramData\\Eggplant\\logs)

**-apppath**=*<applicationPath>*

Path to Eggplant Studio. This must exist. (default: C:\\Program Files\\Eggplant\\runscript.bat)

**-prefix**=*<variablePrefix>*

The value that will be prepended to execution variables (default: RQM\_)

**-loglevel**=*<logLevel>*

Level of logging for the adapter (Options: ALL, INFO, DEBUG, WARN, ERROR, FATAL, OFF, TRACE)

**-url**=*<url>*

URL of the jazz server

**-interval**=*<interval>*

The interval to check the Jazz Server for new work (default: 5)

**-maxruntime**=*<maxRunTime>*

Maximum amount of time for a single execution run (default: 60)

**-h**, **--help**

Show this help message and exit.

**-V**, **--version**

Print version information and exit.

Version EggplantRQMAdapter version 17.0.2-2  
Last updated 2022-01-05 17:26:06 UTC